Bug 25237 - Accessibility: The 'Author details' in the full record display contains semantically incorrect headings
Summary: Accessibility: The 'Author details' in the full record display contains seman...
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords: Academy
Depends on: 25238
Blocks: 25150
  Show dependency treegraph
 
Reported: 2020-04-22 05:58 UTC by Martin Renvoize
Modified: 2020-09-18 20:11 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03, 19.11.09


Attachments
Bug 25237: Fix semantic heading for opac-details (3.81 KB, patch)
2020-06-11 11:49 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25237: Fix semantic heading for opac-details (3.89 KB, patch)
2020-06-23 08:47 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25237: Fix semantic heading for opac-details (3.95 KB, patch)
2020-07-06 22:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-04-22 05:58:06 UTC
Library Catalogue - OPAC

The ‘Author’ heading is not logical because it increases by more than one
heading level. This means that screen reader users may not be able to determine the
structure of content on the page.

1/ Search for an item
2/ Click through to a records full details disaply
3/ Note that the author details are semantically marked as a heading of the wrong level.

Current Code:
<h5 class="author">By: <a href="/cgi-bin/koha/opac-
search.pl?q=au:%22Barty%2C%20James%22"><span resource="#record"><span
property="author" typeof="Person"><span property="name">Barty, <span
class="term">James</span></span></span></span></a><span class="separator"> |
</span><a href="/cgi-bin/koha/opac-search.pl?q=au:%22Morgan%20Grenfell%22"><span
resource="#record"><span property="author" typeof="Organization"><span
property="name"><span class="term">Morgan</span>
Grenfell</span></span></span></a>.</h5>
Comment 1 Martin Renvoize 2020-06-11 11:49:47 UTC
Created attachment 105737 [details] [review]
Bug 25237: Fix semantic heading for opac-details

Prior to this patch the opac-details view contained semantically incorrect h3
headings for the author information.

Test plan
1/ Perform a search in the OPAC that will yield results
2/ Navigate to any results detailed view
3/ Inspect the page and note that there are semantically incorrect headings
   H1 (Page title) > H2 (Item title) > H5 (Author)
4/ Apply the patch
5/ Reload the page
6/ Inspect the page and note that the semantically incorrect author block has
   been converted to a span with an 'h3' class for styling
7/ Note the page still appears nicely
8/ Signoff

Bonus points: Check with XSLT views enabled and disabled.
Comment 2 ByWater Sandboxes 2020-06-23 08:47:32 UTC
Created attachment 106182 [details] [review]
Bug 25237: Fix semantic heading for opac-details

Prior to this patch the opac-details view contained semantically incorrect h3
headings for the author information.

Test plan
1/ Perform a search in the OPAC that will yield results
2/ Navigate to any results detailed view
3/ Inspect the page and note that there are semantically incorrect headings
   H1 (Page title) > H2 (Item title) > H5 (Author)
4/ Apply the patch
5/ Reload the page
6/ Inspect the page and note that the semantically incorrect author block has
   been converted to a span with an 'h3' class for styling
7/ Note the page still appears nicely
8/ Signoff

Bonus points: Check with XSLT views enabled and disabled.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Katrin Fischer 2020-07-06 22:35:47 UTC
Created attachment 106619 [details] [review]
Bug 25237: Fix semantic heading for opac-details

Prior to this patch the opac-details view contained semantically incorrect h3
headings for the author information.

Test plan
1/ Perform a search in the OPAC that will yield results
2/ Navigate to any results detailed view
3/ Inspect the page and note that there are semantically incorrect headings
   H1 (Page title) > H2 (Item title) > H5 (Author)
4/ Apply the patch
5/ Reload the page
6/ Inspect the page and note that the semantically incorrect author block has
   been converted to a span with an 'h3' class for styling
7/ Note the page still appears nicely
8/ Signoff

Bonus points: Check with XSLT views enabled and disabled.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2020-07-20 15:48:40 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 5 Lucas Gass 2020-07-27 17:13:33 UTC
backported to 20.05.x for 20.05.03
Comment 6 Aleisha Amohia 2020-08-03 23:07:51 UTC
backported to 19.11.x for 19.11.09
Comment 7 Victor Grousset/tuxayo 2020-09-18 20:11:21 UTC
Not backported to oldoldstable (19.05.x). Feel free to ask if it's needed.